
filename.bdp = "basicDatasetPublication.rdata"

filename.bdp.ECG = "basicDatasetPublicationECG.rdata"

print(load( file=filename.bdp))
print(load( file=filename.bdp.ECG))

basicDatasetPublicationExtended = basicDatasetPublication


for(subject in names(basicDatasetPublicationExtended))
{
  subjectName = subject


  for(lambda in c("Lambda20", "Lambda60"))
  {
    lambdaName = lambda

    basicDatasetPublicationExtended[[subjectName]][[lambdaName]][["ExGsignals"]][["signal.time.adj"]] = basicDatasetPublication[[subjectName]][[lambdaName]][["ExGsignals"]][["signal.time"]] - basicDatasetPublication[[subjectName]][[lambdaName]][["ExGinfo"]][["frstartTime"]]


    for(ECGchannel in  c("A", "I"))
    {
      ECGchannelName = ECGchannel
      noiselevels_eta          = c( 0.01, 0.02, 0.05, 0.1, 0.2, Inf)


      for(nlcounter in 1:length(noiselevels_eta))
      {
        noiselevel_eta =  noiselevels_eta[nlcounter]

        nlstring = "unde1"

        if(is.finite(noiselevel_eta)){
          nlstring = formatC(noiselevel_eta*10000, width=5, flag="0", format="d")
        } else if (is.infinite(noiselevel_eta)) {
          nlstring = "Infin"
        } else {
          nlstring = "undef"
        }


        bdp.signalname.string = paste("ATS_eta", nlstring , "_ch",ECGchannelName,sep="")

        basicDatasetPublicationExtended[[subjectName]][[lambdaName]][["ExGinfo"]][[paste("ECG_ch",ECGchannelName,"_QRSamplitude",sep="")]] = basicDatasetPublicationECG[[subjectName]][[lambdaName]][["ExGinfo"]][[paste("ECG_ch",ECGchannelName,"_QRSamplitude",sep="")]]
        basicDatasetPublicationExtended[[subjectName]][[lambdaName]][["ExGsignals"]][[paste("ECGsg_ch",ECGchannelName,sep="")]] = basicDatasetPublicationECG[[subjectName]][[lambdaName]][["ExGsignals"]][[paste("ECGsg_ch",ECGchannelName,sep="")]]

        locMSM    = basicDatasetPublicationExtended[[subjectName]][[lambdaName]][["ExGsignals"]][["MSM"]]
        locEMG.lf = basicDatasetPublicationExtended[[subjectName]][[lambdaName]][["ExGsignals"]][["EMG.lf"]]
        locEMG.hf = basicDatasetPublicationExtended[[subjectName]][[lambdaName]][["ExGsignals"]][["EMG.hf"]]
        locEMGmag = basicDatasetPublicationExtended[[subjectName]][[lambdaName]][["ExGinfo"]][["EMG_EMGmagnitude"]]
        locQRSamp = basicDatasetPublicationExtended[[subjectName]][[lambdaName]][["ExGinfo"]][[paste("ECG_ch",ECGchannelName,"_QRSamplitude",sep="")]]
        locECG    = basicDatasetPublicationExtended[[subjectName]][[lambdaName]][["ExGsignals"]][[paste("ECGsg_ch",ECGchannelName,sep="")]]

        if(noiselevel_eta == Inf){
          currentRSMsig = locEMG.lf+(0      + locEMG.hf * locMSM  * 0.2                * locQRSamp / locEMGmag )
          basicDatasetPublicationExtended[[subjectName]][[lambdaName]][["ExGsignals"]][["RSM"]]     = currentRSMsig

          currentRSsig = locEMG.lf+(0       + locEMG.hf *    1     * 0.2                * locQRSamp / locEMGmag )
          basicDatasetPublicationExtended[[subjectName]][[lambdaName]][["ExGsignals"]][["RS"]]     = currentRSsig


          currentEMGarm13.blf1 = locEMG.lf + locEMG.hf
          basicDatasetPublicationExtended[[subjectName]][[lambdaName]][["ExGsignals"]][["EMGarm13.blf1"]]     = currentEMGarm13.blf1

        } else {
          currentATSsig = locEMG.lf+(locECG + locEMG.hf * locMSM  * noiselevel_eta     * locQRSamp / locEMGmag )
          basicDatasetPublicationExtended[[subjectName]][[lambdaName]][["ExGsignals"]][[bdp.signalname.string]]     = currentATSsig
        }
        
        basicDatasetPublicationExtended[[subjectName]][[lambdaName]][["QRStimes.adj"]] = list()
        for(QRSobjName in names(basicDatasetPublicationExtended[[subjectName]][[lambdaName]][["QRStimes"]])){
          basicDatasetPublicationExtended[[subjectName]][[lambdaName]][["QRStimes.adj"]][[QRSobjName]] = basicDatasetPublicationExtended[[subjectName]][[lambdaName]][["QRStimes"]][[QRSobjName]] - basicDatasetPublication[[subjectName]][[lambdaName]][["ExGinfo"]][["frstartTime"]]
        }

      }# end of loop over EMG level
    }# end of loop over ECGchannels
  }# loop over load levels
}# loop over subjects


rm("basicDatasetPublication")
rm("basicDatasetPublicationECG")

plot(basicDatasetPublicationExtended$subj009$Lambda60$ExGsignals$signal.time.adj, basicDatasetPublicationExtended$subj009$Lambda60$ExGsignals$RSM, ylab="RSM [uV]", xlab="Time [s]", type="l")




